/* Debugging aids for SQ and related modules */

#include <stdio.h>
#include "sqcom.h"
#include "sq.h"

void
pcounts(void)
{
	int i;

	if(debug) {
		fputs("\nCounts after 1st algorithm and maybe scaling\n",stderr);
		for(i = 0; i < NUMVALS; ++i) {
			if(i%8 == 0)
				fprintf(stderr,"\n%4X  ", i);
			fprintf(stderr,"%5u  ", node[i].weight);
		}
	fputs("\n\n",stderr);
	}
}

void
phuff(void)
{
	int i;

	if(debug) {
		fprintf(stderr,"\nEncoding tree - root=%3d\n", dctreehd);
		for(i = 0; i < NUMNODES; ++i)
			if(node[i].weight != 0)
				fprintf(stderr,"%3d  w=%5u d=%3d l=%3d r=%3d\n", i, node[i].weight, node[i].tdepth, node[i].lchild, node[i].rchild);

		fprintf(stderr,"\nHuffman codes\n");
		for(i = 0; i < NUMVALS; ++i) {
			if(codelen[i] > 0)
				fprintf(stderr,"%3d  %4X l=%2d c=%4x\n", i, i, codelen[i], code[i]);
		}
	}
}
